OVSQLITE-SERVER(8)

NAME
ovsqlite-server - Sole owner of the ovsqlite database

SYNOPSIS
ovsqlite-server [-d]

DESCRIPTION
The ovsqlite-server daemon is the only program that opens the overview SQLite database. It accepts connections from the other parts of INN that want to operate on overview data (innd, nnrpd, expireover, makehistory).

This daemon must therefore be started before any other process can access the overview database. ovsqlite-server is normally invoked automatically by rc.news when starting the news system. It is also stopped automatically by rc.news when stopping the news system.

In case you need to talk to this daemon from Perl, the binary protocol used to communicate with it has been implemented in the "INN::ovsqlite_client" Perl module. See its manual page for more information about its possibilities.

OPTIONS

-d  ovsqlite-server normally puts itself into the background, points its standard output and error to log files, and disassociates itself from the terminal. Using -d prevents all of this, resulting in log messages being written to the standard error output; this is generally useful only for debugging.

FILES

pathetc/ovsqlite.conf
    The configuration file. See ovsqlite(5).

pathoverview/ovsqlite.db
    The SQLite database file.

pathrun/ovsqlite.pid
    Stores the PID of the server process while it's running.

pathrun/ovsqlite.sock
    When Unix-domain sockets are available, the server binds its listening socket to this path.

pathrun/ovsqlite.port
    When Unix-domain sockets aren't available, the server binds its listening socket to a dynamic TCP port on the IPv4 loopback interface and stores the port number in this file.

HISTORY
Initial implementation of ovsqlite written by Bo Lindbergh <2bfjdsla52kztwejndzdstsxl9athp@gmail.com> for InterNetNews.

SEE ALSO
INN::ovsqlite_client(3pm), ovsqlite(5), rc.news(8).